Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 986628 - SELinux is preventing /usr/sbin/glusterfsd from using the 'sigkill' accesses on a process.
Summary: SELinux is preventing /usr/sbin/glusterfsd from using the 'sigkill' accesses ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1a426de3a54639d18aa90e8f27f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-21 05:51 UTC by Marcel Wysocki
Modified: 2013-07-26 23:06 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.12.1-66.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-26 23:06:30 UTC


Attachments (Terms of Use)

Description Marcel Wysocki 2013-07-21 05:51:07 UTC
Description of problem:
systemctl start glusterd.service
SELinux is preventing /usr/sbin/glusterfsd from using the 'sigkill' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that glusterfsd should be allowed sigkill access on processes labeled glusterd_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep glusterd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:glusterd_t:s0
Target Context                system_u:system_r:glusterd_t:s0
Target Objects                 [ process ]
Source                        glusterd
Source Path                   /usr/sbin/glusterfsd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           glusterfs-3.4.0-0.9.beta4.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-65.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-21 07:45:59 CEST
Last Seen                     2013-07-21 07:45:59 CEST
Local ID                      76bb824f-f13b-4394-a646-7b7f41c9d87a

Raw Audit Messages
type=AVC msg=audit(1374385559.465:4643): avc:  denied  { sigkill } for  pid=15424 comm="glusterd" scontext=system_u:system_r:glusterd_t:s0 tcontext=system_u:system_r:glusterd_t:s0 tclass=process


type=SYSCALL msg=audit(1374385559.465:4643): arch=x86_64 syscall=kill success=yes exit=0 a0=3d08 a1=9 a2=7f26e7dada10 a3=3d08 items=0 ppid=1 pid=15424 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=glusterd exe=/usr/sbin/glusterfsd subj=system_u:system_r:glusterd_t:s0 key=(null)

Hash: glusterd,glusterd_t,glusterd_t,process,sigkill

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport

Comment 1 Daniel Walsh 2013-07-21 11:40:28 UTC
Fixed in git ca8f0241859d1998773435a8744c5b8a8c516f45

Comment 2 Fedora Update System 2013-07-24 14:13:11 UTC
selinux-policy-3.12.1-66.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-66.fc19

Comment 3 Fedora Update System 2013-07-25 00:35:36 UTC
Package selinux-policy-3.12.1-66.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-66.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13543/selinux-policy-3.12.1-66.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-07-26 23:06:30 UTC
selinux-policy-3.12.1-66.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.